@import "../../../../shared/styles/utils/mixins.scss";
@import "../../../../shared/styles/utils/variables.scss";

.transfer-box {
  background-color: $bg-color;
  height: 50vh;
  width: 100%;
  max-height: 400px;
  min-height: 250px;

  @media screen and (max-width: $md) {
    width: 150px;
  }

  @media screen and (max-width: $sm) {
    width: 250px;
    height: 295px;
  }

  &__title {
    background-color: $bg-color-title;
    height: 13%;
    width: 100%;
    display: flex;
    align-items: center;
    padding: 0 15px;
    max-height: 40px;

    &--icon {
      flex: 0 0 10%;
      display: flex;
      align-items: center;
    }

    .icon {
      filter: opacity(0.5);
      transform: rotate(90deg) scaleX(-1);
      height: 25px;

      @media screen and (max-width: $lg) {
        height: 23px;
      }

      @media screen and (max-width: $md) {
        height: 20px;
      }

      @media screen and (max-width: $sm) {
        height: 18px;
      }
    }

    &--text {
      color: $text-color-light;
      flex: 0 0 90%;
      text-align: center;
    }
  }

  &__body {
    padding: 15px;
    height: 87%;
    display: flex;
    flex-direction: column;

    &--box {
      flex: 0 0 25%;
      display: flex;
      flex-direction: column;
      justify-content: center;
      padding-top: 5px;
    }

    &--form {
      flex: 0 0 50%;
    }
  }
}

.balance-box {
  display: flex;
  align-items: center;

  &__content {
    font-size: 1.1rem;
    font-family: inherit;
    border: none;
    border-bottom: 1px solid $text-secondary;
    background-color: $bg-color;
    width: 100%;
    color: $gray-100;

    &:focus {
      outline: none;
    }
  }
}
